CVE-2022-31793 – do_request in request.c in muhttpd before 1.1.7 allows remote attackers to read arbitrary …

Vuln ID: CVE-2022-31793

Published:  2022-08-04  22:15:08Z

Description: do_request in request.c in muhttpd before 1.1.7 allows remote attackers to read arbitrary files by constructing a URL with a single character before a desired path on the filesystem. This occurs because the code skips over the first character when serving files. Arris NVG443, NVG599, NVG589, and NVG510 devices and Arris-derived BGW210 and BGW320 devices are affected.

Source: NVD.NIST.GOV